Skip to main content
GET
/
clients
/
{client_id}
/
orders
/
stats
Get Client Order Stats
curl --request GET \
  --url https://api.example.com/clients/{client_id}/orders/stats \
  --header 'Authorization: Bearer <token>'
{
  "totalOrders": 123,
  "activeOrders": 123,
  "totalValue": 123,
  "averageOrderValue": 123,
  "lastOrderDate": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

client_id
string
required

Query Parameters

status
string | null

Comma-separated statuses

date_from
string<date-time> | null
date_to
string<date-time> | null
search
string | null

Search order # or style

Response

Successful Response

Aggregate metrics for a client's sales orders.

totalOrders
integer
required
activeOrders
integer
required
totalValue
number
required
averageOrderValue
number
required
lastOrderDate
string | null